Return column number

- « odbc_field_name

- odbc_field_precision »

- PHP Manual
- ODBC Functions
- Return column number

# odbc_field_num

(PHP 4, PHP 5, PHP 7, PHP 8)

odbc_field_num — Return column number

### Description

odbc_field_num(Odbc\Result `$statement`, string `$field`): int|false

Gets the number of the column slot that corresponds to the named field in the given result object.

### Parameters

`statement`

  The ODBC result object.

`field`

  The field name.

### Return Values

Returns the field number as a integer, or `false` on error. Field numbering starts at 1.

### Changelog

Version | Description
--- | ---
8.4.0 | `statement` expects an Odbc\Result instance now; previously, a resource was expected.